Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageConstantPad Class Reference

`#include <vtkImageConstantPad.h>`

Inheritance diagram for vtkImageConstantPad:

[legend]
Collaboration diagram for vtkImageConstantPad:

[legend]
List of all members.

## Detailed Description

Makes image larger by padding with constant.

Date:
  2002/01/22 15:32:06

Revision:
  1.26

vtkImageConstantPad changes the image extent of its input. Any pixels outside of the original image extent are filled with a constant value.

See also:
  vtkImageWrapPad vtkImageMirrorPad

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (50%)
  - Martin, Ken (36%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageConstantPad.h)`
  - .`cxx` (`/Imaging/vtkImageConstantPad.cxx)`

Tests:
  vtkImageConstantPad (Tests)

Definition at line 50 of file vtkImageConstantPad.h.

## Public Types
typedef vtkImagePadFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetConstant (float)
virtual float | GetConstant ()
## Static Public Methods
vtkImageConstantPad * | New ()
int | IsTypeOf (const char *type)
vtkImageConstantPad * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageConstantPad ()
| ~vtkImageConstantPad ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
## Protected Attributes
float | Constant

## Member Typedef Documentation

typedef vtkImagePadFilter vtkImageConstantPad::Superclass

| Reimplemented from vtkImagePadFilter. Definition at line 54 of file vtkImageConstantPad.h.

## Constructor & Destructor Documentation

vtkImageConstantPad::vtkImageConstantPad | ( |  | ) | `[protected]`

vtkImageConstantPad::~vtkImageConstantPad | ( |  | ) | `[inline, protected]`

| Definition at line 67 of file vtkImageConstantPad.h.

## Member Function Documentation

vtkImageConstantPad* vtkImageConstantPad::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImagePadFilter.

virtual const char* vtkImageConstantPad::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImagePadFilter.

int vtkImageConstantPad::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImagePadFilter.

virtual int vtkImageConstantPad::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImagePadFilter.

vtkImageConstantPad* vtkImageConstantPad::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImagePadFilter.

void vtkImageConstantPad::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImagePadFilter.

virtual void vtkImageConstantPad::SetConstant | ( | float |  | ) | `[virtual]`

| Set/Get the pad value.

virtual float vtkImageConstantPad::GetConstant | ( |  | ) | `[virtual]`

| Set/Get the pad value.

void vtkImageConstantPad::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

float vtkImageConstantPad::Constant`[protected]`

| Definition at line 69 of file vtkImageConstantPad.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageConstantPad.h